#
# spec file for package manpageeditor
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define oname ManPageEditor

Name:           manpageeditor
Version:        0.1.3
Release:        1.9
Summary:        A simple manual pages editor
License:        GPL-3.0-only
Group:          Development/Tools/Other
URL:            https://keithdhedger.github.io/pages/manpageeditor/manpageeditor.html
Source0:        https://github.com/KeithDHedger/%{oname}/archive/refs/tags/%{version}.tar.gz#/%{oname}-%{version}.tar.gz
BuildRequires:  aspell-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  groff
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10.0
BuildRequires:  pkgconfig(gtksourceview-3.0)

%description
Create, edit, import, preview man-pages.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure \
  --enable-aspell \
  --enable-gtk3
%make_build

%install
%make_install
# Let's use %%doc macro.
rm -rfv %{buildroot}%{_datadir}/%{oname}/docs

%files
%license COPYING
%doc BUGS-ETC ChangeLog README 
%{_bindir}/%{name}
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/%{oname}
%{_mandir}/man1/manpageeditor.1*
%{_datadir}/pixmaps/%{oname}.png
%{_datadir}/icons/hicolor/256x256/apps/%{oname}.png

%changelog
* Mon May 31 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.1.3
  * Added --import MANPAGE option to command line.
  * Added --section SECTION option to command line.
  * Added -v/-? options to command line.
  * Updated manpage.
  * Fixed wrongly labeled 'Save' menu.
  * Added recent menu.
  * Added key shortcuts to formating menu items ( finally ).
  * Added 'Documentation' sub catagory to desktop file.
  * Application icons now symlinked instead of installed.
  * Tweaked .desktop files for compatability.
- Drop manpageeditor-desktop-warnings.diff
- Build with gtk3
- Use upstream URL
* Mon Dec 14 2020 Wang Jun <jgwang@suse.com>
- Modify useless link gtk-apps.org to opendesktop.org
* Tue Oct  6 2020 pgajdos@suse.com
- depend on aspell, it will not be removed from factory
  (sorry for noise)
* Fri Oct  2 2020 pgajdos@suse.com
- remove dependency on aspell, it is going to be removed from
  factory
* Thu Jun  9 2016 dap.darkness@gmail.com
- 0.1.1.
- Removed manpageeditor-root-I_O.diff because of upstream fix.
- Url tag was changes to more robust alternative.
- Added mime_database_post(un) macro requested by upstream.
* Sun May 15 2016 dap.darkness@gmail.com
- Post/postun requirements fixing up.
* Sun May 15 2016 dap.darkness@gmail.com
- Imported from RPM Sphere.
- SUSEficated.
- 0.1.0
  * See at http://gtk-apps.org/content/show.php?content=160219
* Thu Mar 26 2015 huaren.zhong@gmail.com
- Rebuild for Fedora
* Wed Oct 23 2013 symbianflo@mandrivausers.ro
  + Revision: 24b004a
- dropped mrb distsuffix, enable debug
